ZoomScaled method example

Private Sub ZoomScaledExample()

' This example creates a line and adds it to the drawing using the AddLine

' method. It then uses the ZoomScaled method to zoom in at a desired scale.

     Dim myDoc As IntelliCAD.Document

     Dim myLine As IntelliCAD.Line

     Dim myStartPt As IntelliCAD.Point

     Dim myEndPt As IntelliCAD.Point

     Set myDoc = Application.ActiveDocument

     Set myLine = myDoc.ModelSpace.AddLine(Library.CreatePoint(4, 4), Library.CreatePoint(7, 1))

     myLine.Update

     Me.hide

     ThisDocument.ActiveViewport.ZoomScaled 0.5, vicZoomScaledRelative

End Sub

 


Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved.